<template lang="pug">
  .container
    h1.h1 {{member.name}}
      span.tex
    .gallery
      img.gallery__photo(
        v-for="photo in member.photos",
        :src="photo"
      )
    .row
      .col-xlg-4
        b Зарегистрирована:
        time(:datetime="member.created")  {{member.created | toRussianDate}}

        ul.list-group
          li.list-group-item
            b Дата рождения:
            time(:datetime="member.birthday")  {{member.birthday | toRussianDate}}
            |  ({{member.birthday | ages}})
          li.list-group-item
            b Зарегистрирована:
            time(:datetime="member.created")  {{member.created | toRussianDate}}


</template>

<script>
const member = {
  id: '1',
  name: 'Регина Тодоренко',
  birthday: '1990-06-14',
  created: '2018-01-28T08:33:38.416Z',
  city: 'Тегусигальпа',
  photos: [
    'http://www.maximonline.ru.ae.x/images/th/3/72/33401-ZmE3NzdjODZlZg.jpg',
    'http://www.maximonline.ru.ae.x/images/th/3/72/33400-YmUzM2M0NjgwOQ.jpg',
    'http://www.maximonline.ru.ae.x/images/th/3/72/33399-MmEyYWUwNzE3Ng.jpg',
    'http://www.maximonline.ru.ae.x/images/th/3/72/33398-YTdiMzBjZWNkNA.jpg',
    'http://www.maximonline.ru.ae.x/images/th/3/72/33397-OWNhYWZmYWNhOA.jpg',
    'http://www.maximonline.ru.ae.x/images/th/3/72/33398-YTdiMzBjZWNkNA.jpg',
    'http://www.maximonline.ru.ae.x/images/th/3/72/33398-YTdiMzBjZWNkNA.jpg'
  ],
  email: 'rtodor1988@list.ru',
  phone: '+7 (926) 159-75-44',
  status: 'inprogress'
}

export default {
  name: 'Edit',
  data () {
    return {
      member,
      statusClasses: {
        new: 'info',
        inprogress: 'primary',
        approved: 'success',
        declined: 'danger'
      }
    }
  },
  filters: {
    ages (date) {
      const birthday = new Date(date)
      const timeAgo = new Date()
      timeAgo.setTime(Date.now() - birthday.getTime())
      const age = timeAgo.getFullYear() - 1970
      switch (age % 10) {
        case 1:
          return `${age} год`
        case 2:
        case 3:
        case 4:
          return `${age} года`
        default:
          return `${age} лет`
      }
    },
    toRussianDate: (date) => (new Date(date)).toLocaleDateString('ru')
  }
}
</script>

<style scoped>
.gallery {
  background-color: #eee;
  padding: 10px 10px 0 10px;
  margin: 0 -30px;
  overflow-x: scroll;
  white-space: nowrap;
  box-sizing: border-box;
  max-width: 100vw;
}

.gallery__photo {
  display: inline-block;
  max-height: 250px;
  margin: 0 10px 10px 0;
}
</style>
